Net::DNS::RR::HIP(3)

NAME
Net::DNS::RR::HIP - DNS HIP resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
This class implements the HIP RR (RFC5205)

METHODS

  pkalgorithm
Returns or sets the public key algorithm field

  hit
Returns or sets the hit in base16 representation.

  hitbin
Returns or sets the binary representation of the the hit.

Using hit or hitbin to set the one of these attributes will update both attributes.

  pubkey
Returns or sets the publick key in base64 representation.

  pubkey
Returns or sets the binary representation of the the public key.

Using pubkey or pubkeybin to set the one of these attributes will update both attributes.

  rendezvousservers
      my $rendezvousservers=$hip->rendezvousservers();

Returns a reference to an array of rendezvous servers. The representation is in Perl's internal storage format i.e. without trailing dot.

     $hip->rendezvousservers( [ qw|example.com  example.net| ] )

With a reference to an array as the argument this method will set the rendezvousservers.

NOTES
Since (multiline) base64 encoded publik keys may contain spaces string parsing of the HIP RR depends on rendevous server names containing at least one . (dot) in their domain name. Failure of string parsing will return an 'undef'.

The rdatastr method (and hence the string and print methods) return the rendezvousservers as fully qualified domain names.

COPYRIGHT
Copyright (c) 2009 Olaf Kolkman (NLnet Labs)

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 5205